Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director.common
Class TrailingEntityMapSupport

    java.lang.Object
      org.optaplanner.core.impl.score.director.common.TrailingEntityMapSupport

    public class TrailingEntityMapSupport

extends Object

Field Summary
`protected boolean` | `hasChainedVariables`
`protected SolutionDescriptor` | `solutionDescriptor`
`protected Map<PlanningVariableDescriptor,Map<Object,Set<Object>>>` | `trailingEntitiesMap`

Constructor Summary
`TrailingEntityMapSupport(SolutionDescriptor solutionDescriptor)`

Method Summary
`Object` | `getTrailingEntity(PlanningVariableDescriptor chainedVariableDescriptor, Object planningValue)`
`void` | `insertInTrailingEntityMap(PlanningEntityDescriptor entityDescriptor, Object entity)`
`void` | `insertInTrailingEntityMap(PlanningVariableDescriptor variableDescriptor, Object entity)`
`void` | `resetTrailingEntityMap(Solution workingSolution)`
`void` | `retractFromTrailingEntityMap(PlanningEntityDescriptor entityDescriptor, Object entity)`
`void` | `retractFromTrailingEntityMap(PlanningVariableDescriptor variableDescriptor, Object entity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### solutionDescriptor

    protected final SolutionDescriptor solutionDescriptor

### hasChainedVariables

    protected boolean hasChainedVariables

### trailingEntitiesMap

    protected Map<PlanningVariableDescriptor,Map<Object,Set<Object>>> trailingEntitiesMap

Constructor Detail

### TrailingEntityMapSupport

    public TrailingEntityMapSupport(SolutionDescriptor solutionDescriptor)

Method Detail

### resetTrailingEntityMap

    public void resetTrailingEntityMap(Solution workingSolution)

### insertInTrailingEntityMap

    public void insertInTrailingEntityMap(PlanningEntityDescriptor entityDescriptor,
                                          Object entity)

### insertInTrailingEntityMap

    public void insertInTrailingEntityMap(PlanningVariableDescriptor variableDescriptor,
                                          Object entity)

### retractFromTrailingEntityMap

    public void retractFromTrailingEntityMap(PlanningEntityDescriptor entityDescriptor,
                                             Object entity)

### retractFromTrailingEntityMap

    public void retractFromTrailingEntityMap(PlanningVariableDescriptor variableDescriptor,
                                             Object entity)

### getTrailingEntity

    public Object getTrailingEntity(PlanningVariableDescriptor chainedVariableDescriptor,
                                    Object planningValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.